---
title: "Show Customer"
description: "The ShowCustomer feature is made for use in brick stores in combination with a POS system. When the customer card is scanned, the POS system will send a POST to Agent Inbox which will open a conversation."
canonical: "https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/show-customer"
---

# Show Customer

> The ShowCustomer feature is made for use in brick stores in combination with a POS system. When the customer card is scanned, the POS system will send a POST to Agent Inbox which will open a conversation.

Source: https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/show-customer

# Introduction

The ShowCustomer feature is made for use in brick stores in combination with a POS system. When the customer card is scanned, the POS system will send a POST to Agent Inbox which will open a conversation.

# Show customer

`POST https://api.robinhq.com/showcustomer`

## Response codes

| Code | Description |
| :- | :- |
| 201 | Created |
| 400 | Bad Request |
| 401 | Invalid authorisation data |

```json title="Request body"
{
  "user_email_address": "user@cm.com",
  "customer": {
    "email_address": "customer@shop.com",
    "phone_number": "+31612345678",
    "external_identifier": "customer_1234"
  }
}			
```

## Request schema

| Name | Type | Required | Description |
| :- | :- | :- | :- |
| user\_email\_address | String | No | Email address of the Agent Inbox agent that will receive the notification |
| customer | Object | Yes | Customer to search. Contains an email address and a phone number. At least one of them must be provided |
| email\_address | String | No | Email address of the customer to lookup |
| phone\_number | String | No | Phone number of the customer to look up. |
| external\_identifier | String | No | ... |
